.cover-modal {
    display: none;
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;

    background: rgba(0, 0, 0, 0.9);
    z-index: 9999;

    align-items: center;
    justify-content: center;
}

.cover-modal.show {
    display: flex;
}

.modal-content {
    max-width: 90%;
    max-height: 90%;
    object-fit: contain;
}

.modal-close {
    position: absolute;
    top: 20px;
    right: 35px;
    color: #fff;
    font-size: 40px;
    cursor: pointer;
}

.modal-close:hover {
    color: #ccc;
}

.post_hero {
    cursor: pointer;
}

.post_container img {
    cursor: zoom-in;
}